# wxPropertyGridPage Class Reference
[wxPropertyGrid]

`#include <wx/propgrid/manager.h>`

Inheritance diagram for wxPropertyGridPage:
[legend]

## Detailed Description

Holder of property grid page information.

You can subclass this and give instance in wxPropertyGridManager::AddPage. It inherits from wxEvtHandler and can be used to process events specific to this page (id of events will still be same as manager's). If you don't want to use it to process all events of the page, you need to return false in the derived wxPropertyGridPage::IsHandlingAllEvents.

Please note that wxPropertyGridPage lacks many non-const property manipulation functions found in wxPropertyGridManager. Please use parent manager (m_manager member variable) when needed.

Please note that most member functions are inherited and as such not documented on this page. This means you will probably also want to read wxPropertyGridInterface class reference.

## Event Handling

wxPropertyGridPage receives events emitted by its wxPropertyGridManager, but only those events that are specific to that page. If wxPropertyGridPage:: IsHandlingAllEvents returns false, then unhandled events are sent to the manager's parent, as usual.

See wxPropertyGrid Event Handling for more information.

##

Library: wxPropertyGrid

Category: wxPropertyGrid

## Public Member Functions
| wxPropertyGridPage ()
virtual | ~wxPropertyGridPage ()
virtual void | Clear ()
| Deletes all properties on page.
wxSize | FitColumns ()
| Reduces column sizes to minimum possible that contents are still visibly (naturally some margin space will be applied as well).
int | GetIndex () const
| Returns page index in manager;.
wxPGProperty * | GetRoot () const
| Returns "root property".
int | GetSplitterPosition (int col=0) const
| Returns x-coordinate position of splitter on a page.
int | GetToolId () const
| Returns id of the tool bar item that represents this page on wxPropertyGridManager's wxToolBar.
virtual void | Init ()
| Do any member initialization in this method.
virtual bool | IsHandlingAllEvents () const
| Return false here to indicate unhandled events should be propagated to manager's parent, as normal.
virtual void | OnShow ()
| Called every time page is about to be shown.
virtual void | RefreshProperty (wxPGProperty *p)
| Refreshes given property on page.
void | SetSplitterPosition (int splitterPos, int col=0)
| Sets splitter position on page.
## Friends
class | wxPropertyGridManager

List of all members.

## Constructor & Destructor Documentation

wxPropertyGridPage::wxPropertyGridPage | ( |  | ) |

virtual wxPropertyGridPage::~wxPropertyGridPage | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void wxPropertyGridPage::Clear | ( |  | ) | `[virtual]`

Deletes all properties on page.

Implements wxPropertyGridInterface.

wxSize wxPropertyGridPage::FitColumns | ( |  | ) |

Reduces column sizes to minimum possible that contents are still visibly (naturally some margin space will be applied as well).

Returns:
  Returns minimum size for the page to still display everything.

Remarks:
  This function only works properly if size of containing grid was already fairly large.

Note that you can also get calculated column widths by calling GetColumnWidth() immediately after this function returns.

int wxPropertyGridPage::GetIndex | ( |  | ) | const`[inline]`

Returns page index in manager;.

wxPGProperty* wxPropertyGridPage::GetRoot | ( |  | ) | const

Returns "root property".

It does not have name, etc. and it is not visible. It is only useful for accessing its children.

int wxPropertyGridPage::GetSplitterPosition | ( | int | col = `0` | ) | const

Returns x-coordinate position of splitter on a page.

int wxPropertyGridPage::GetToolId | ( |  | ) | const

Returns id of the tool bar item that represents this page on wxPropertyGridManager's wxToolBar.

virtual void wxPropertyGridPage::Init | ( |  | ) | `[virtual]`

Do any member initialization in this method.

Remarks:
  - Called every time the page is added into a manager.
  - You can add properties to the page here.

virtual bool wxPropertyGridPage::IsHandlingAllEvents | ( |  | ) | const`[virtual]`

Return false here to indicate unhandled events should be propagated to manager's parent, as normal.

virtual void wxPropertyGridPage::OnShow | ( |  | ) | `[virtual]`

Called every time page is about to be shown.

Useful, for instance, creating properties just-in-time.

virtual void wxPropertyGridPage::RefreshProperty | ( | wxPGProperty * | p | ) | `[virtual]`

Refreshes given property on page.

void wxPropertyGridPage::SetSplitterPosition | ( | int | splitterPos,
|  | int | col = `0` |
| ) |  |  |

Sets splitter position on page.

Remarks:
  Splitter position cannot exceed grid size, and therefore setting it during form creation may fail as initial grid size is often smaller than desired splitter position, especially when sizers are being used.

## Friends And Related Function Documentation

friend class wxPropertyGridManager`[friend]`

|  | [ top ]